type: com.google.api.codegen.ConfigProto
config_schema_version: 1.0.0
language_settings:
  java:
    package_name: com.google.cloud.dlp.v2beta1
  python:
    package_name: google.cloud.dlp_v2beta1.gapic
  go:
    package_name: cloud.google.com/go/dlp/apiv2beta1
  csharp:
    package_name: Google.Cloud.Dlp.V2Beta1
  ruby:
    package_name: Google::Cloud::Dlp::V2beta1
  php:
    package_name: Google\Cloud\Dlp\V2beta1
  nodejs:
    package_name: dlp.v2beta1
    domain_layer_location: google-cloud
license_header:
  copyright_file: copyright-google.txt
  license_file: license-header-apache-2.0.txt
interfaces:
- name: google.privacy.dlp.v2beta1.DlpService
  smoke_test:
    method: InspectContent
    init_fields:
    - inspect_config.min_likelihood=POSSIBLE
    - items[0].type="text/plain"
    - items[0].value="my phone number is 215-512-1212"
  collections:
  - name_pattern: inspect/results/{result}
    entity_name: result
  retry_codes_def:
  - name: idempotent
    retry_codes:
    - UNAVAILABLE
    - DEADLINE_EXCEEDED
  - name: non_idempotent
    retry_codes: []
  retry_params_def:
  - name: default
    initial_retry_delay_millis: 100
    retry_delay_multiplier: 1.3
    max_retry_delay_millis: 60000
    initial_rpc_timeout_millis: 20000
    rpc_timeout_multiplier: 1
    max_rpc_timeout_millis: 20000
    total_timeout_millis: 600000
  methods:
  - name: DeidentifyContent
    flattening:
      groups:
      - parameters:
        - deidentify_config
        - inspect_config
        - items
    required_fields:
    - deidentify_config
    - inspect_config
    - items
    request_object_method: true
    retry_codes_name: idempotent
    retry_params_name: default
    timeout_millis: 60000
  - name: AnalyzeDataSourceRisk
    flattening:
      groups:
      - parameters:
        - privacy_metric
        - source_table
    required_fields:
    - privacy_metric
    - source_table
    request_object_method: true
    retry_codes_name: idempotent
    retry_params_name: default
    timeout_millis: 60000
    long_running:
      return_type: google.privacy.dlp.v2beta1.RiskAnalysisOperationResult
      metadata_type: google.privacy.dlp.v2beta1.RiskAnalysisOperationMetadata
      initial_poll_delay_millis: 20000
      poll_delay_multiplier: 1.5
      max_poll_delay_millis: 45000
      total_poll_timeout_millis: 86400000
  - name: InspectContent
    flattening:
      groups:
      - parameters:
        - inspect_config
        - items
    required_fields:
    - inspect_config
    - items
    request_object_method: true
    retry_codes_name: non_idempotent
    retry_params_name: default
    timeout_millis: 60000
    sample_code_init_fields:
    - inspect_config.info_types[0].name="EMAIL_ADDRESS"
    - items[0].type="text/plain"
    - items[0].value="My email is example@example.com."
  - name: RedactContent
    flattening:
      groups:
      - parameters:
        - inspect_config
        - items
        - replace_configs
    required_fields:
    - inspect_config
    - items
    - replace_configs
    request_object_method: true
    retry_codes_name: non_idempotent
    retry_params_name: default
    timeout_millis: 60000
    sample_code_init_fields:
    - inspect_config.info_types[0].name="EMAIL_ADDRESS"
    - items[0].type="text/plain"
    - items[0].value="My email is example@example.com."
    - replace_configs[0].info_type.name="EMAIL_ADDRESS"
    - replace_configs[0].replace_with="REDACTED"
  - name: CreateInspectOperation
    flattening:
      groups:
      - parameters:
        - inspect_config
        - storage_config
        - output_config
    long_running:
      return_type: google.privacy.dlp.v2beta1.InspectOperationResult
      metadata_type: google.privacy.dlp.v2beta1.InspectOperationMetadata
      initial_poll_delay_millis: 20000
      poll_delay_multiplier: 1.5
      max_poll_delay_millis: 45000
      total_poll_timeout_millis: 86400000
    required_fields:
    - inspect_config
    - storage_config
    - output_config
    request_object_method: true
    retry_codes_name: non_idempotent
    retry_params_name: default
    timeout_millis: 60000
    sample_code_init_fields:
    - inspect_config.info_types[0].name="EMAIL_ADDRESS"
    - storage_config.cloud_storage_options.file_set.url="gs://example_bucket/example_file.png"
  - name: ListInspectFindings
    flattening:
      groups:
      - parameters:
        - name
    required_fields:
    - name
    request_object_method: true
    resource_name_treatment: STATIC_TYPES
    retry_codes_name: idempotent
    retry_params_name: default
    field_name_patterns:
      name: result
    timeout_millis: 60000
  - name: ListInfoTypes
    flattening:
      groups:
      - parameters:
        - category
        - language_code
    required_fields:
    - category
    - language_code
    request_object_method: true
    retry_codes_name: idempotent
    retry_params_name: default
    timeout_millis: 60000
    sample_code_init_fields:
    - category="PII"
    - language_code="en"
  - name: ListRootCategories
    flattening:
      groups:
      - parameters:
        - language_code
    required_fields:
    - language_code
    request_object_method: false
    retry_codes_name: idempotent
    retry_params_name: default
    timeout_millis: 60000
    sample_code_init_fields:
    - language_code="en"
resource_name_generation:
- message_name: InspectOperationResult
  field_entity_map:
    name: result
- message_name: ListInspectFindingsRequest
  field_entity_map:
    name: result
